## Programming the Real World

Micro is a distributed cloud operating system built for real world programming.

## About

Micro addresses the key requirements for building services in the cloud. It leverages the microservices
architecture pattern and provides a set of services which act as the building blocks of a platform. Micro deals
with the complexity of distributed systems and provides simpler programmable abstractions to build on. 

## Source

[GitHub Repo](https://github.com/micro/micro)

## Download

[Latest Release](https://github.com/micro/micro/releases/latest)

## Content

Documentation, guides and quick starts for Micro

- [Introduction](introduction) - A high level introduction to Micro
- [Getting Started](getting-started) - The helloworld quickstart guide
- [Upgrade Guide](upgrade-guide) - Update your go-micro project to use micro v3.
- [Architecture](architecture) - Describes the architecture, design and tradeoffs
- [Reference](reference) - In-depth reference for Micro CLI and services
- [Resources](resources) - External resources and contributions
- [Roadmap](roadmap) - Stuff on our agenda over the long haul
- [FAQ](faq) - Frequently asked questions

## Cloud

A living, breathing version of Micro is run as a public cloud platform called [M3O](https://m3o.com).

## Services

Services built with Micro live in [github.com/micro/services](https://github.com/micro/services).

## Network

Future ideas about where Micro is going live in [github.com/micro/network](https://github.com/micro/network).
